using DataSharing.Share.Dtos.Province.HuiJu;
using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province
{
    public class ProvinceListRequestSubmitCaseInfo
    {
        [JsonPropertyName("paras")]
        public RequestItemSubmitCaseInfo Data { get; set; }

        [JsonPropertyName("token")]
        public ClientInfo ClientInf { get; set; }
    }

    public class RequestItemSubmitCaseInfo
    {
        [JsonPropertyName("jsonList")]
        public List<RequestSubmitCaseInfoNo> Items { get; set; }
    }

    public class RequestSubmitCaseInfoNo
    {
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }
    }


    public class SendRequestSubmitCaseInfo
    {
        [JsonPropertyName("paras")]
        public SendRequestItemSubmitCaseInfo Data { get; set; }

        [JsonPropertyName("token")]
        public ClientInfo ClientInf { get; set; }
    }

    public class SendRequestItemSubmitCaseInfo
    {
        [JsonPropertyName("jsonList")]
        public List<SubmitCaseInfo> Items { get; set; }
    }

}
